OElove 对安装环境的要求

admin

2020-12-01 10:00

与一般的软件不同,运行OELOVE 2 需要相应的环境支持,如果环境不适合,则安装会无法进行。
Windows 平台
在此平台下,需要安装的软件一般为:
  • IIS/Apache + PHP + MySQL + Zend Optimizer
  • 软件版本要求如下:
  • IIS 5.0 及以上版本
  • Apache2.0以上 版本
  • PHP 5.2
  • Zend Optimizer3.3 及以上版本
  • MySQL 4.0 及以上版本
Linux/Unix 平台
在此平台下,需要安装的软件一般为:
Apache + PHP + MySQL + Zend Optimizer
软件版本要求如下:
  • Apache2以上 版本
  • PHP 5.2
  • Zend Optimizer3.3 及以上版本
  • MySQL 4.0以上版本
  • 推荐建议使用软件环境:Linux + Apache2.0 + PHP5.0 + MySQL5.0
对PHP的特殊要求
以下PHP扩展必须打开,否则OElove将无法正常运行
  • GD扩展
  • MySQL扩展
以上是最低要求,为了更好的运行OElove程序我们推荐把下面的扩展也打开:
  • zlib扩展
  • json扩展
  • mbstring扩展
  • iconv扩展
  • openssl扩展
  • curl扩展
  • 基本目录结构说明
  • ../install 安装程序目录,安装完后可删除
  • ../source/conf 系统配置文件目录,需要设置为可写
  • ../source/core 系统核心引擎文件目录
  • ../source/language语言包文件目录
  • ../data/sqlbackup 系统数据备份目录,需要设置为可写
  • ../data/attachment用户附件上传目录,需要设置为可写
  • ../images 系统图片存放目录,权限需要设置为可写
  • ../plugins 系统插件存放目录
  • ../admin 系统默认的管理目录,建议安装后自行更改
  • ../tpl 系统模版存放目录,权限需要设置为可写

238 次浏览 0 条评论 收藏

说说我的看法

登录后可以发表评论 登录
作者信息

admin

15
贴子
0
粉丝

免费试用


咨询热线


在线咨询